function [obr_gr maz] = normal2(obr_barevny)


g = obr_barevny(:,:,2); %vybrani jen zelene slozky
g=double(g);

vel = size(g); %zjisteni rozliseni obrazu


% 
% figure(1)
% % subplot(2,2,1)
% % imshow(obr_barevny,[])
% % title('Barevny');
% % subplot(2,2,3)
% imshow(g,[])
% title('zelena');

maz = g;
maz(maz<=3) = 0;
maz(maz>3) = 1;

stredni = sum(sum(g))/(vel(1)*vel(2));
g(g<3) = stredni;



% figure(20)
% imshow(obr_barevny,[])

% -	Rozmazání zelené a červené složky s šířkou matice 51
sirka_matice = 51;

op_rozmaz = zeros(vel(1),vel(2));
op_rozmaz((vel(1))/2-(sirka_matice-1)/2:(vel(1))/2+(sirka_matice-1)/2,(vel(2))/2-(sirka_matice-1)/2:(vel(2))/2+(sirka_matice-1)/2) = ones(sirka_matice,sirka_matice)/sirka_matice;;
op_rozmaz = fftshift(op_rozmaz);


four_rozmaz=fft2(op_rozmaz);
four_g=fft2(g);

filtr_g=four_g.*four_rozmaz;


rozmaz_g = ifft2(filtr_g);


rozmaz_g=rozmaz_g*1/max(max(rozmaz_g));

% figure(2)
% subplot(1,2,1)
% imshow(rozmaz_g)
% subplot(1,2,2)
% imshow(rozmaz_r)
%--------------------------------------------------------------------------
%-	Podělení složek rozmazanými obrazy – pro odstranění nerovnoměrného
%pozadí
obr_g = g ./ rozmaz_g; % smazani okoli



obr_g=obr_g*1/max(max(obr_g));

obr_st = obr_g(floor(end/5):end-floor(end/5),floor(end/5):end-floor(end/5));
vel_s = size(obr_st);
stredni = sum(sum(obr_st))/(vel_s(1)*vel_s(2));
obr_g = obr_g .* maz;
obr_g(obr_g<0.003) = stredni;

%--------------------------------------------------------------------------


% % 
% figure(3)
% imshow(obr_st)
% title('Zeleny');
% 
% figure(4)
% imshow(obr_g)
% title('Zeleny');
% 
% figure(5)
% imshow(1-obr_g)
% title('Zeleny');
obr_gr = 1-obr_g;

